Foros Club Delphi

Foros Club Delphi (https://www.clubdelphi.com/foros/index.php)
-   Noticias (https://www.clubdelphi.com/foros/forumdisplay.php?f=34)
-   -   Update 2 de RADStudio Tokyo (https://www.clubdelphi.com/foros/showthread.php?t=92627)

jhonny 12-12-2017 22:20:47

Update 2 de RADStudio Tokyo
 
Hola, hace un momento fue lanzado el Update 2 de RADStudio Tokyo, han incorporado nuevos componentes VCL, Quick Edit en Firemonkey, cambios en la licencia de RADServer... publiqué en mi web los cambios más relevantes y el vídeo de Embarcadero al respecto:

https://purodelphi.com/2017/12/12/ra...-10-2-2-tokyo/

Casimiro Notevi 12-12-2017 23:05:09

^\||/^\||/^\||/

ElKurgan 13-12-2017 07:11:27

Gracias por la info

Saludos

fredo 13-12-2017 15:04:37

mi problema con estos updates es que normalmente debo reinstalar todo por lo que no es llegar y actualizar, ojala este mejro firemonkey, por que aun lo veo muy inestable para servicios...

Neftali [Germán.Estévez] 13-12-2017 21:00:41

Cita:

Empezado por fredo (Mensaje 523384)
mi problema con estos updates es que normalmente debo reinstalar todo por lo que no es llegar y actualizar, ojala este mejro firemonkey, por que aun lo veo muy inestable para servicios...

Ya hay una herramienta que viene con Delphi que te evita la reinstalación de todo.
Migration Tool.


MAXIUM 14-12-2017 00:07:43

Ojalas hallan solucionado lo que necesito. Gracias por informar.

farute 14-12-2017 10:14:58

Otro inconveniente es que los componentes para tokio Delphi 10.2.1 que no tengan el pas no son compatibles con esta Delphi 10.2.2,
al menos el que yo he probado uno de TMS,
tendrán que sacar de nuevo nuevas versiones para Tokio 10.2.2 de todos componentes.

Estos temas de la compatibilidad de componentes tendrían que hacer algo para no tener mil versiones de los mismos cada vez que hay nuevas versiones.


Debería existir un migrador de codigo cada vez que sale una nueva versión.
Al menos si tienes los fuentes que puedas utilizarlo.

Casimiro Notevi 14-12-2017 10:42:25

Cita:

Empezado por farute (Mensaje 523427)
Otro inconveniente es que los componentes para tokio Delphi 10.2.1 que no tengan el pas no son compatibles con esta Delphi 10.2.2,
al menos el que yo he probado uno de TMS,

Eso es problema de TMS, ahí delphi no tiene ninguna culpa.

farute 14-12-2017 12:00:24

Cita:

Empezado por Casimiro Notevi (Mensaje 523428)
Eso es problema de TMS, ahí delphi no tiene ninguna culpa.

pero imagino que todos los componentes que sólo distribuyen los dcu sin los pas tendrán que ser recompilados no?

Casimiro Notevi 14-12-2017 12:06:40

Cita:

Empezado por farute (Mensaje 523431)
pero imagino que todos los componentes que sólo distribuyen los dcu sin los pas tendrán que ser recompilados no?

Se supone que sí, ese es el principal problema al actualizar, que hay que recompilar/instalar de nuevo los componentes externos.

Neftali [Germán.Estévez] 14-12-2017 12:18:59

Cita:

Empezado por farute (Mensaje 523427)
Debería existir un migrador de codigo cada vez que sale una nueva versión.
Al menos si tienes los fuentes que puedas utilizarlo.

No necesitas migrador, simplemente recompilar los componentes (si tienes los funetes) y listo.

Neftali [Germán.Estévez] 14-12-2017 12:19:39

Cita:

Empezado por MAXIUM (Mensaje 523412)
Ojalas hallan solucionado lo que necesito. Gracias por informar.

La lista de correcciones detallada está aquí.

farute 14-12-2017 13:16:37

Cita:

Empezado por Neftali (Mensaje 523436)
No necesitas migrador, simplemente recompilar los componentes (si tienes los funetes) y listo.

Me refería para cuando hay nuevas versiones que cambian cosas del código.
Seguramente el de esta nueva versión no es el caso

WHILENOTEOF 14-12-2017 13:38:53

Por eso es bueno tener componentes con el código fuente. De todas formas me pareció leer ayer en un mensaje de Marco cantú que esto era un minor release, y que por tanto era "binary compatible", de lo que deduje que no debe haber problemas con las dcus, pero por lo que comentáis, si que los tiene.

WHILENOTEOF 14-12-2017 13:51:38

Cita:

Empezado por Neftali (Mensaje 523437)

Esa lista tiene una doble lectura, por un lado si tienes la actualización dices ¡la de problemas que me evito¡, pero si tienes versiones anteriores a esta actualización ves la cantidad de errores que te pueden surgir, y llevarte horas de romperte la cabeza, y al final descubres que es un bug de Embarcadero. En mi opinión, y creo que ayudaría a mantener una buena imagen de la empresa, cualquier bug que se solucione y afecte a versiones antiguas, debería tener un parche accesible para todos los que compraron esa licencia, porque pagaste por ello. Es como si compras un coche y después se descubre que cierra mal la puerta de atrás, ya se ocupan ellos de solventarlo y ofrecérselo sin costo al cliente que compró el coche. Se que en el software hay mucho más margen para aparezcan bugs, pero en el momento que se solucionan, sería una buena política ofrecerle el parche al que compró la licencia.

farute 14-12-2017 17:02:17

Yo el principal problema que le veo a Delphi es la fiabilidad,
hay veces que estas haciendo un programa en firemonkey por ejemplo, estás redimensionando un componente y de repente sale un error que te obliga a cerrar el programa
y que ni te permite guardar los últimos cambios que habías realizado.
Esto en otras plataformas no pasa.
La otra pega que le veo al dephi es que para desarrollo en Android los programas compilados ocupan una burrada de megas.
Aunque esto poco a poco lo van mejorando y hoy en día como vamos sobrados de espacio y de tarifas de internet no es tanta pega.
Pero vamos es las única pega que le veo, por lo demás todo son ventajas respecto a la competencia.

Casimiro Notevi 14-12-2017 17:37:33

Cita:

Empezado por farute (Mensaje 523458)
Yo el principal problema que le veo a Delphi es ...

Aquí hay que separar delphi para windows de delphi para otros sistemas. La parte de windows es muy estable, fiable y probada. La parte de otros sistemas es nuevo, está constantemente siendo mejorada, añadida, transformada, etc. y pasará algún tiempo hasta que sea tan estable como la parte de windows.

jhonny 14-12-2017 18:53:18

Para mí la actualización fue realmente más sencilla de lo que pensé, pues al desinstalar la versión anterior (era la 10.2.1) me preguntó que si quería eliminar los datos del registro y le dije que NO.

Luego instalé la nueva y ya estaban todos los componentes instalados, incluidos los que acaban de mencionar... los TMS. No tuve que hacer nada más. Ni siquiera tuve que recompilar, ni nada.

Espero que esta información les ahorre tiempo como a mí.

farute 17-12-2017 12:19:20

Cita:

Empezado por Casimiro Notevi (Mensaje 523428)
Eso es problema de TMS, ahí delphi no tiene ninguna culpa.

Según TMS la culpa se la hechan a Embarcadero:

Cita:

Embarcadero made mistakes with v10.2.2 that causes it to be not binary
compatible with 10.2.1.
They will release an update next week that should address this.
faena para TMS para tener que recompilar todos los componentes que no incluyen fuentes,
tienen para un rato con el montón de componentes que tienen.


Nos vendieron que a partir ed la versión 10.x ya no se tenía que actualizar como antes,
y estamos igual. Cada nuevo update es como una versión completa de las de antes y hay que reinstalar todo entero y muchos componentes instalar nuevas versiones.

Los updates deberian ser como parches, que se instalen sólo los ficheros nuevos que cambian encima de lo que ya hay no hacernos reinstalar casi de 0 todo con el montón de gb que supone.

Casimiro Notevi 17-12-2017 13:57:50

Dirán lo que quieran, pero si tú tienes un programa compilado con unos componentes que tú mismo has hecho, en delphi 5 y quieres usarlo en delphi 7, tienes que compilarlo con delphi 7, no se puede pretender que no necesiten compilación.
Es que hay que diferenciar entre "plugins", "addons", etc. de componentes que se compilan junto al paquete que se va a crear.
Al menos, así lo entiendo yo.
Cita:

Empezado por farute (Mensaje 523521)
tienen para un rato con el montón de componentes que tienen.

Solamente son unos segundos. El problema es que si no entregan el código fuente, no les queda otra que recompilar para entregar los dcu.


La franja horaria es GMT +2. Ahora son las 17:05:42.

Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Traducción al castellano por el equipo de moderadores del Club Delphi